package com.kexun.model.xml;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Description:公共信息汇总
 *
 * @author lgs
 * @date 2023/06/09
 */
@Data
public class SmryCommInfo {
    /**
     * 公共信息类型代码
     */
    @JSONField(name = "COMMTYPECODE")
    private String commTypeCode;

    /**
     * 公共信息类型描述
     */
    @JSONField(name = "COMMTYPEDESC")
    private String commTypeDesc;

    /**
     * 记录数
     */
    @JSONField(name = "RECORDNUM")
    private Integer recordNum;

    /**
     * 涉及金额
     */
    @JSONField(name = "INVOLVEMONEY")
    private BigDecimal involveAmount;
}
