package com.kexun.model.xml.pub;

import com.alibaba.fastjson.annotation.JSONField;
import com.kexun.model.xml.IXmlBase;
import lombok.Data;

import java.math.BigDecimal;

/**
 * Description:行政处罚记录
 *
 * @author lgs
 * @date 2023/06/13
 */
@Data
public class PubPenaltylInf {

    /**
     * 处罚机构
     */
    @JSONField(name = "PUNISHORG")
    private String punishOrg;
    /**
     * 处罚内容
     */
    @JSONField(name ="PUNISHCON")
    private String punishCon;

    /**
     * 处罚金额
     */
    @JSONField(name ="PUNISHMONEY")
    private BigDecimal punishAmt;

    /**
     * 处罚生效日期
     */
    @JSONField(name ="PUNSTARTDATE")
    private String punStartDate;

    /**
     * 处罚截止日期
     */
    @JSONField(name ="PUNENDDATE")
    private String punEndDate;

    /**
     * 行政复议结果
     */
    @JSONField(name ="RECRESULT")
    private String recResult;

}
