package com.kexun.service.field;

import com.kexun.model.xml.IXmlBase;
import com.kexun.service.atomic.BaseFieldAtomicService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Map;

/**
 * Description: 基础字段组装JSON处理类
 *
 * @author lgs
 * @date 2023/07/03
 */
public interface IBaseFieldPackageJsonService {

    /**
     * 基础字段组装JSON处理方法
     *
     * @param jsonMap 汇总各定义字段的计算结果
     * @param json 原始的xml报文
     * @param oneLevel 各个信息段配置的字段定义表标识
     * @param nodeType 节点类型
     */
    void packageJson(Map jsonMap,String json, String oneLevel,String nodeType) throws Exception;

}
