package com.kexun.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@TableName(value = "product_field_ref")
@ApiModel(value="CooperatorProductField", description="产品和字段关系")

@Data
public class CooperatorProductField extends BaseEntity {


    @TableField(value = "product_id")
    private String productId;

    @TableField(value = "product_num")
    private String productNum;

    @TableField(value = "product_name")
    private String productName;

    @ApiModelProperty(value = "字段定义表ID")
    @TableField("field_id")
    private Long fieldId;

    @TableField(value = "field_no")
    private String fieldNo;

    @ApiModelProperty(value = "字段名")
    @TableField("name")
    private String name;



    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}