package com.kexun.model.ro;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * Description:字段列表查询RO
 *
 * @author lgs
 * @date 2023/06/25
 */
@Data
public class FiledRO implements Serializable {

    @ApiModelProperty(value = "字段编号 唯一")
    private String fieldNo;

    @ApiModelProperty(value = "字段名称")
    private String name;

    @ApiModelProperty(value = "中文名称")
    private String nameZh;

    @ApiModelProperty(value = "字段类别")
    private String category;

    @ApiModelProperty(value = "页码", example = "1")
    private String pageNo;

    @ApiModelProperty(value = "大小", example = "1")
    private String pageSize;

}
