package com.kexun.service.impl;

import com.kexun.entity.CooperatorProduct;
import com.kexun.entity.FieldTemplateRefEntity;
import com.kexun.mapper.FieldTemplateRefMapper;
import com.kexun.service.FieldTemplateRefService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 字段模板和字段关系 服务实现类
 * </p>
 *
 * @author lgs
 * @since 2023-06-28
 */
@Service
public class FieldTemplateRefServiceImpl extends ServiceImpl<FieldTemplateRefMapper, FieldTemplateRefEntity> implements FieldTemplateRefService {

    @Autowired
    FieldTemplateRefMapper fieldTemplateRefMapper;

    /**
     * 删除模板关系ID
     * @param id
     */
    @Override
    public void deleteByTemplateId(Long id) {
        fieldTemplateRefMapper.deleteByTemplateId(id);
    }

    @Override
    public List<FieldTemplateRefEntity> findTemplateFieldByNo(String templateNo) {
//        System.out.println("aaa");
        List<FieldTemplateRefEntity> l = fieldTemplateRefMapper.QueryField(templateNo);
        return l;
    }
}
